Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.PDF2OfficeSettingData Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | PDF2OfficeSettingData ()
| Constructor.
def | Set (metrics_data_folder_path, enable_ml_recognition, page_range, include_pdf_comments, word_setting_data, power_point_setting_data, excel_setting_data, enable_trailing_space, include_images, timeout, enable_matching_system_fonts)
| Set value. More...

## Static Public Attributes
| enable_matching_system_fonts = _fsdk.PDF2OfficeSettingData_enable_matching_system_fonts
| A boolean value that indicates whether to accurately match system fonts when converting PDF documents to office format documents. Default value: false. More...
| enable_ml_recognition = _fsdk.PDF2OfficeSettingData_enable_ml_recognition
| A boolean value which indicates whether enable machine learning-based recognition functionality. Default value: false. More...
| enable_trailing_space = _fsdk.PDF2OfficeSettingData_enable_trailing_space
| A boolean value which indicates whether to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. Default value: true. More...
| excel_setting_data = _fsdk.PDF2OfficeSettingData_excel_setting_data
| A setting data object that used for converting PDF documents to Excel format documents. More...
| include_images = _fsdk.PDF2OfficeSettingData_include_images
| A boolean value which indicates whether to include images in PDF documents for converting PDF documents to office format documents. Default value: true/b>. More...
| include_pdf_comments = _fsdk.PDF2OfficeSettingData_include_pdf_comments
| A boolean value which indicates whether to include PDF documents comments for the conversion of PDF documents to office format documents. Default value: true. More...
| metrics_data_folder_path = _fsdk.PDF2OfficeSettingData_metrics_data_folder_path
| A valid path of a folder which contains metrics data files. This should not be an empty string. More...
| page_range = _fsdk.PDF2OfficeSettingData_page_range
| A range object that specifies some pages. These pages will be used to convert PDF documents to office format documents. More...
| power_point_setting_data = _fsdk.PDF2OfficeSettingData_power_point_setting_data
| A setting data object that used for converting PDF documents to Power Point format documents. More...
| timeout = _fsdk.PDF2OfficeSettingData_timeout
| Milliseconds for timeout used for PDF Conversion. More...
| word_setting_data = _fsdk.PDF2OfficeSettingData_word_setting_data
| A setting data object that used for converting PDF documents to Word format documents. More...

## Detailed Description

This class represents setting data used for converting PDF to Office(Word, Excel or PowerPoint) format file.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.PDF2OfficeSettingData.Set | ( |  | metrics_data_folder_path,
|  |  | enable_ml_recognition,
|  |  | page_range,
|  |  | include_pdf_comments,
|  |  | word_setting_data,
|  |  | power_point_setting_data,
|  |  | excel_setting_data,
|  |  | enable_trailing_space,
|  |  | include_images,
|  |  | timeout,
|  |  | enable_matching_system_fonts
| ) |  |

Set value.

Parameters

  [in] | metrics_data_folder_path | (Deprecated)A valid path of a folder which contains metrics data files. This should not be an empty string. These metrics data files are used to simulate the office format document typesetting process during conversion. They are offered in the "res/metrics_data" folder of the Foxit PDF Conversion SDK package.
  [in] | enable_ml_recognition | A boolean value which indicates whether enable machine learning-based recognition functionality. Default value: false. true means enable machine learning-based recognition functionality to identify borderless tables in PDF documents. In order to convert the tables better, it will draw a black border with a width of 1 on the recognized borderless table. This will be improved in subsequent versions. And this recognition functionality will be executed on the server side and return the relevant results when it is done. false means disable machine learning- based recognition functionality. And the recognition functionality not based on machine learning will be enabled.
  [in] | page_range | A range object that specifies some pages. These pages will be used to convert PDF documents to office format documents.
  [in] | include_pdf_comments | A boolean value which indicates whether to include PDF documents comments for the conversion of PDF documents to office format documents. Default value: true. true means to include PDF document comments for the conversion of PDF documents to office format documents. false means not to include PDF document comments for the conversion of PDF documents to office format documents.
  [in] | word_setting_data | A setting data object that used for converting PDF documents to Word format documents.
  [in] | power_point_setting_data | A setting data object that used for converting PDF documents to Power Point format documents.
  [in] | excel_setting_data | A setting data object that used for converting PDF documents to Excel format documents.
  [in] | enable_trailing_space | A boolean value which indicates whether to add trailing spaces from lines in paragraphs.for converting PDF documents to office format documents. Default value: true. true means to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. false means not to add trailing spaces from lines in paragraphs and add a property to the paragraph that allows for line breaks. Currently, this support is limited to paragraphs where more than 80% of the text involves the end of one line and the beginning of the next both being in Korean. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.
  [in] | include_images | A boolean value which indicates whether to include images in PDF documents for converting PDF documents to office format documents. Default value: true/b>. true means to include images in PDF documents for converting PDF documents to office format documents. false means not to include images in PDF documents PDF documents to office format documents. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.
  [in] | timeout | Milliseconds for timeout used for PDF Conversion. Default value: 0.
  [in] | enable_matching_system_fonts | A boolean value which indicates whether to enable matching system fonts for converting PDF documents to office format documents. Default value: false. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

Note
  Our machine learning-based technology for identifying borderless tables uses HTTPS and requires a network connection to send the images of the rendered PDF pages to our server during the conversion process.

Returns
  None.

## Member Data Documentation

## ◆ enable_matching_system_fonts

FoxitPDFSDKPython3.PDF2OfficeSettingData.enable_matching_system_fonts = _fsdk.PDF2OfficeSettingData_enable_matching_system_fonts
| static

A boolean value that indicates whether to accurately match system fonts when converting PDF documents to office format documents. Default value: false.

true means accurately matching system fonts when converting PDF documents to office format documents. false means not accurately matching system fonts when converting PDF documents to office format documents. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

## ◆ enable_ml_recognition

FoxitPDFSDKPython3.PDF2OfficeSettingData.enable_ml_recognition = _fsdk.PDF2OfficeSettingData_enable_ml_recognition
| static

A boolean value which indicates whether enable machine learning-based recognition functionality. Default value: false.

true means enable machine learning-based recognition functionality to identify borderless tables in PDF documents. And this recognition functionality will be executed on the server side and return the relevant results when it is done. In order to convert the tables better, it will draw a black border with a width of 1 on the recognized borderless table. This will be improved in subsequent versions. false means disable machine learning-based recognition functionality. And the recognition functionality not based on machine learning will be enabled.

Note
  Our machine learning-based technology for identifying borderless tables uses HTTPS and requires a network connection to send the images of the rendered PDF pages to our server during the conversion process.

## ◆ enable_trailing_space

FoxitPDFSDKPython3.PDF2OfficeSettingData.enable_trailing_space = _fsdk.PDF2OfficeSettingData_enable_trailing_space
| static

A boolean value which indicates whether to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. Default value: true.

true means to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. false means not to add trailing spaces from lines in paragraphs and add a property to the paragraph that allows for line breaks. Currently, this support is limited to paragraphs where more than 80% of the text involves the end of one line and the beginning of the next both being in Korean. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

## ◆ excel_setting_data

FoxitPDFSDKPython3.PDF2OfficeSettingData.excel_setting_data = _fsdk.PDF2OfficeSettingData_excel_setting_data
| static

A setting data object that used for converting PDF documents to Excel format documents.

This setting is only vaild for the conversion of PDF documents to Excel format documents. For more details, please refer to class PDF2ExcelSettingData .

## ◆ include_images

FoxitPDFSDKPython3.PDF2OfficeSettingData.include_images = _fsdk.PDF2OfficeSettingData_include_images
| static

A boolean value which indicates whether to include images in PDF documents for converting PDF documents to office format documents. Default value: true/b>.

true means to include images in PDF documents for converting PDF documents to office format documents. false means not to include images in PDF documents PDF documents to office format documents. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

## ◆ include_pdf_comments

FoxitPDFSDKPython3.PDF2OfficeSettingData.include_pdf_comments = _fsdk.PDF2OfficeSettingData_include_pdf_comments
| static

A boolean value which indicates whether to include PDF documents comments for the conversion of PDF documents to office format documents. Default value: true.

true means to include PDF document comments for the conversion of PDF documents to office format documents. false means not to include PDF document comments for the conversion of PDF documents to office format documents.

## ◆ metrics_data_folder_path

FoxitPDFSDKPython3.PDF2OfficeSettingData.metrics_data_folder_path = _fsdk.PDF2OfficeSettingData_metrics_data_folder_path
| static

A valid path of a folder which contains metrics data files. This should not be an empty string.

Deprecated:
  Current property has been deprecated since Foxit PDF SDK 10.1. Instead, metrics data will be included in the dynamic library.

These metrics data files are used to simulate the office format document typesetting process during conversion. They are offered in the "res/metrics_data" folder of the Foxit PDF Conversion SDK package.

## ◆ page_range

FoxitPDFSDKPython3.PDF2OfficeSettingData.page_range = _fsdk.PDF2OfficeSettingData_page_range
| static

A range object that specifies some pages. These pages will be used to convert PDF documents to office format documents.

The valid page range: from 0 to (count - 1). count is returned by function FoxitPDFSDKPython3.PDFDoc.GetPageCount . If this range object is constructed by default constructor and not set any value, that means all the pages of current document will be used to convert PDF documents to office format documents.

## ◆ power_point_setting_data

FoxitPDFSDKPython3.PDF2OfficeSettingData.power_point_setting_data = _fsdk.PDF2OfficeSettingData_power_point_setting_data
| static

A setting data object that used for converting PDF documents to Power Point format documents.

This setting is only vaild for the conversion of PDF documents to Power Point format documents. For more details, please refer to class PDF2PowerPointSettingData .

## ◆ timeout

FoxitPDFSDKPython3.PDF2OfficeSettingData.timeout = _fsdk.PDF2OfficeSettingData_timeout
| static

Milliseconds for timeout used for PDF Conversion.

If the conversion process is not completed within the specified time, the conversion process will be terminated. This should be a non-negative value. If the value is 0, that means no timeout processing for PDF Conversion.
This parameter only useful when Foxit PDF Conversion engine is set by function FoxitPDFSDKPython3.PDF2Office.Initialize . Default value: 0.

Note
  Resource release may take some time, so the time spent on the entire conversion process may exceed the time set by this parameter.

## ◆ word_setting_data

FoxitPDFSDKPython3.PDF2OfficeSettingData.word_setting_data = _fsdk.PDF2OfficeSettingData_word_setting_data
| static

A setting data object that used for converting PDF documents to Word format documents.

This setting is only vaild for the conversion of PDF documents to word format documents. For more details, please refer to class PDF2WordSettingData .